# Generated by Django 3.0.6 on 2020-05-25 17:51

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("calendar_utils", "0002_auto_20200523_0243"),
        ("senat_campaign", "0003_auto_20200523_0241"),
    ]

    operations = [
        migrations.AddField(
            model_name="senatcampaignhomepage",
            name="calendar",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                to="calendar_utils.Calendar",
            ),
        ),
        migrations.AddField(
            model_name="senatcampaignhomepage",
            name="calendar_url",
            field=models.URLField(
                blank=True, null=True, verbose_name="URL kalendáře ve formátu iCal"
            ),
        ),
        migrations.AddField(
            model_name="senatcampaignhomepage",
            name="contacts",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                ("name", wagtail.blocks.CharBlock(label="jméno")),
                                (
                                    "job",
                                    wagtail.blocks.CharBlock(
                                        label="pozice", required=False
                                    ),
                                ),
                                (
                                    "phone",
                                    wagtail.blocks.CharBlock(
                                        label="telefon", required=False
                                    ),
                                ),
                                (
                                    "email",
                                    wagtail.blocks.EmailBlock(
                                        label="email", required=False
                                    ),
                                ),
                                (
                                    "photo",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="fotka"
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="kontaktní osoby",
            ),
        ),
        migrations.AddField(
            model_name="senatcampaignhomepage",
            name="facebook",
            field=models.URLField(blank=True, null=True, verbose_name="Facebook URL"),
        ),
        migrations.AddField(
            model_name="senatcampaignhomepage",
            name="first_name",
            field=models.CharField(default="", max_length=250, verbose_name="jméno"),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="senatcampaignhomepage",
            name="instagram",
            field=models.URLField(blank=True, null=True, verbose_name="Instagram URL"),
        ),
        migrations.AddField(
            model_name="senatcampaignhomepage",
            name="last_name",
            field=models.CharField(default="", max_length=250, verbose_name="příjmení"),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="senatcampaignhomepage",
            name="linkedin",
            field=models.URLField(blank=True, null=True, verbose_name="LinkedIn URL"),
        ),
        migrations.AddField(
            model_name="senatcampaignhomepage",
            name="matomo_id",
            field=models.IntegerField(
                blank=True,
                null=True,
                verbose_name="Matomo ID pro sledování návštěvnosti",
            ),
        ),
        migrations.AddField(
            model_name="senatcampaignhomepage",
            name="twitter",
            field=models.URLField(blank=True, null=True, verbose_name="Twitter URL"),
        ),
        migrations.AlterField(
            model_name="senatcampaignwebsettings",
            name="calendar",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                to="calendar_utils.Calendar",
            ),
        ),
    ]
